<template>

    <div class="row justify-center">
      <q-card>
        <q-card-title class="bg-primary text-white">Login</q-card-title>
        <q-card-separator/>
        <q-card-main>
          <q-input v-model="username" float-label="Username"/>
          <q-input v-model="password" float-label="Password"/>
          <q-btn v-on:click="login()" color="primary">Login</q-btn>
          <p v-if="error" class="text-red">{{ error }}</p>
        </q-card-main>
      </q-card>
    </div>

</template>

<script>
import taleanconnector from './taleanconnector'
import {
  QLayout,
  QToolbar,
  QToolbarTitle,
  QBtn,
  QIcon,
  QList,
  QListHeader,
  QItem,
  QItemSide,
  QItemMain,
  QCard,
  QCardTitle,
  QCardSeparator,
  QCardMain,
  QInput
} from 'quasar'

export default {
  name: 'index',
  components: {
    QLayout,
    QToolbar,
    QToolbarTitle,
    QBtn,
    QIcon,
    QList,
    QListHeader,
    QItem,
    QItemSide,
    QItemMain,
    QCard,
    QCardTitle,
    QCardSeparator,
    QCardMain,
    QInput
  },
  data () {
    return {
      username: '',
      password: '',
      error: ''
    }
  },
  created: function () {
    if (this.$session.get('loggedin')) {
      this.$router.push('/account')
    }
  },
  computed: {
  },
  methods: {
    login: function () {
      taleanconnector.login(this.username, this.password)
        .then((response) => {
          console.log(this.username, this.password)
          console.log(response)
          if (response.error) {
            this.error = response.error
          }
          else {
            this.$store.state.userid = response.id
            this.$store.state.username = this.username
            // this.$store.state.loggedin = true
            this.$session.set('loggedin', true)
            this.$session.set('userid', response.id)
            this.$session.set('username', this.username)
            this.$router.push('/account')
          }
        })
        .catch((err) => {
          console.log(err)
        })
    }
  },
  mounted () {
  },
  beforeDestroy () {
  }
}
</script>

<style lang="stylus">
</style>
